#ifndef _SAV_Y_COLLECT_
#define _SAV_Y_COLLECT_

#include "savutil.h"

typedef struct
{
  int mallength;
  int length;
  char *colname;
  DenseDocVec **items;
} DDV_coll;

extern DDV_coll *load_coll(char *);
extern int coll_acquire_file(DDV_coll *, char *);
extern DDV_coll *temp_coll();
extern int close_coll(DDV_coll *);
extern void coll_add_doc(DDV_coll *, DenseDocVec *);
extern void coll_remove_doc(DDV_coll *, int);
extern int coll_size(DDV_coll *);

#endif
